* [gentoo-commits] dev/mrueg:master commit in: dev-ruby/minitest-autotest/
@ 2016-09-05 1:39 Manuel Rüger
0 siblings, 0 replies; only message in thread
From: Manuel Rüger @ 2016-09-05 1:39 UTC (permalink / raw
To: gentoo-commits
commit: b4ea204858da5b411c8e1e93932bc61b45d3f297
Author: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 5 01:39:46 2016 +0000
Commit: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Mon Sep 5 01:39:46 2016 +0000
URL: https://gitweb.gentoo.org/dev/mrueg.git/commit/?id=b4ea2048
dev-ruby/minitest-autotest: Initial version
Package-Manager: portage-2.3.0
dev-ruby/minitest-autotest/Manifest | 1 +
dev-ruby/minitest-autotest/metadata.xml | 8 +++++++
.../minitest-autotest-1.0.3.ebuild | 27 ++++++++++++++++++++++
3 files changed, 36 insertions(+)
diff --git a/dev-ruby/minitest-autotest/Manifest b/dev-ruby/minitest-autotest/Manifest
new file mode 100644
index 0000000..14a8a42
--- /dev/null
+++ b/dev-ruby/minitest-autotest/Manifest
@@ -0,0 +1 @@
+DIST minitest-autotest-1.0.3.gem 19968 SHA256 4f0f3daba42aa932f72cd43fc3db014e9e40f6f579ca3e5908d48c3f26ff35b9 SHA512 c04ff2c308d42810b5e1923d5f33e4ae1a033dafc8f0cd424aeb864796636dc9578f88c26244190630c45edb96c830603270e22c58571dcdb2d346842d7754de WHIRLPOOL 817fe416f8567ea82db8b5207454549ed980ad169c8714518b5619d7d5514fb82fc858d22a15a713260d733cb379c5c4d831a6fd3bb5522ff591d07f3ecb0c61
diff --git a/dev-ruby/minitest-autotest/metadata.xml b/dev-ruby/minitest-autotest/metadata.xml
new file mode 100644
index 0000000..97df2a0
--- /dev/null
+++ b/dev-ruby/minitest-autotest/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>mrueg@gentoo.org</email>
+ <name>Manuel Rüger</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/dev-ruby/minitest-autotest/minitest-autotest-1.0.3.ebuild b/dev-ruby/minitest-autotest/minitest-autotest-1.0.3.ebuild
new file mode 100644
index 0000000..ac06637
--- /dev/null
+++ b/dev-ruby/minitest-autotest/minitest-autotest-1.0.3.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Continually and intelligently test only those files you change with autotest"
+HOMEPAGE="https://github.com/seattlerb/minitest-autotest https://rubygems.org/gems/minitest-autotest"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/minitest-server-1.0
+ <dev-ruby/minitest-server-2"
+
+each_ruby_test() {
+ ${RUBY} -Ilib test/test_minitest/test_autorun.rb || die
+ ${RUBY} -Ilib test/test_minitest/test_good.rb || die
+}
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2016-09-05 1:40 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-09-05 1:39 [gentoo-commits] dev/mrueg:master commit in: dev-ruby/minitest-autotest/ Manuel Rüger
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox